
package com.lideeyunji.tool.framework.constants;

import com.lideeyunji.tool.framework.code.lideeYunJiErrorCode;

/**
 * 框架 错误码枚举类
 * <p>
 * 低代码 系统，使用 6-001-000-000 段
 */
public interface FrameErrorCodeConstants {

    lideeYunJiErrorCode SUCCESS = new lideeYunJiErrorCode(0, "成功");

    // ========== 框架相关  6-001-001-000 ============
    lideeYunJiErrorCode FRAME_PARAM_ERROR = new lideeYunJiErrorCode(1_600_001_000, "系统开小差了");
    lideeYunJiErrorCode FRAME_NOT_ROLE_ERROR = new lideeYunJiErrorCode(1_600_011_000, "无权限访问");

    lideeYunJiErrorCode FRAM_SELF_ERROR = new lideeYunJiErrorCode(1_600_001_001, "自定义错误");
    lideeYunJiErrorCode FRAME_ISNOT_ADMINISTOR_ERROR = new lideeYunJiErrorCode(1_600_001_002, "该功能只允许超级管理员操作");


    lideeYunJiErrorCode FRAME_OP_ERROR = new lideeYunJiErrorCode(1_600_001_003, "操作失败");
    lideeYunJiErrorCode FRAME_ENHANCE_ERROR = new lideeYunJiErrorCode(1_600_001_004, "增强已锁");
    lideeYunJiErrorCode FRAME_LOGIN_VIEW_ERROR = new lideeYunJiErrorCode(1_600_001_005,"用户未登录");

    lideeYunJiErrorCode FRAME_TABLE_NAME_ILLEGAL= new lideeYunJiErrorCode(1_600_001_006,"表名称不符合");
    lideeYunJiErrorCode FRAME_DESFORM_CORE_ISEXIT_ERROR = new lideeYunJiErrorCode(1_600_001_07,"编码已存在");
    lideeYunJiErrorCode FRAME_PARAM_NULL_ERROR = new lideeYunJiErrorCode(1_600_001_08,"参数不允许为空");
    lideeYunJiErrorCode FRAME_MAIN_TABLE_NOT = new lideeYunJiErrorCode(1_600_001_09,"绑定的主表不存在");
    lideeYunJiErrorCode FRAME_IMPORT_EXCEL = new lideeYunJiErrorCode(1_600_001_10,"请使用正确的Excel表导入数据");
    lideeYunJiErrorCode FRAME_DESFORM_IS_OPEN = new lideeYunJiErrorCode(1_600_001_11,"该表单需要登录才可访问");

    lideeYunJiErrorCode FRAME_IMPORT_EXCEL_NOT_DATA = new lideeYunJiErrorCode(1_600_001_12,"数据不存在");
    lideeYunJiErrorCode FRAME_IMPORT_EXCEL_STATE_ERROR = new lideeYunJiErrorCode(1_600_001_13,"表状态不符合");
    lideeYunJiErrorCode FRAME_CORE_EXIT = new lideeYunJiErrorCode(1_600_001_14,"编号已存在");

}
